<script setup lang="ts">
import DeleteModal from "@/components/modals/DeleteModal.vue";

const props = defineProps<{
  modalId: string;
  objectKeys: string[];
  backModalId?: string;
}>();

const emit = defineEmits<{
  (e: "confirm-delete", keys: string[]): void;
}>();

function deleteObjects() {
  if (props.objectKeys.length > 0) {
    emit("confirm-delete", props.objectKeys);
    window._paq?.push(["trackEvent", "Delete", "objects"]);
  }
}
</script>

<template>
  <delete-modal
    :modal-id="props.modalId"
    :back-modal-id="props.backModalId"
    delete-type="Objects"
    :disabled="props.objectKeys.length === 0"
    @confirm-delete="deleteObjects"
  >
    <template #body>
      <div>
        Are you sure you want to delete {{ props.objectKeys.length }} objects?
      </div>
      <ul>
        <li v-for="key in objectKeys.slice(0, 6)" :key="key">
          {{ key }}
        </li>
        <li v-if="objectKeys.length > 6">...</li>
      </ul>
    </template>
  </delete-modal>
</template>

<style scoped></style>
